v1.0
put
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/supply/settings/combination-dosing/{combination_kit_id}
Update a manual combination kit dosing definition.
Request
Path Parameters
-
combination_kit_id(required): string(uuid)
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
B1B8327AFAA6412287106192AB5984EF
Supported Media Types
- application/json
Nested Schema : doses
Type:
Show Source
array-
Array of:
object CombinationKitDosingDoseRequest
Manual combination kit dosing dose request.
Nested Schema : CombinationKitDosingDoseRequest
Type:
objectManual combination kit dosing dose request.
Show Source
-
doseTitle(required): string
-
id: string
(uuid)
-
optionGroups(required): array
optionGroups
Minimum Number of Items:
0Maximum Number of Items:10
Nested Schema : optionGroups
Type:
arrayMinimum Number of Items:
0Maximum Number of Items:
Show Source
10-
Array of:
object CombinationKitDosingOptionGroupRequest
Manual combination kit dosing option group request.
Nested Schema : CombinationKitDosingOptionGroupRequest
Type:
objectManual combination kit dosing option group request.
Show Source
Nested Schema : rows
Type:
Show Source
array-
Array of:
object CombinationKitDosingRowRequest
Manual combination kit dosing row request.
Nested Schema : CombinationKitDosingRowRequest
Type:
objectManual combination kit dosing row request.
Show Source
-
kitTypeSrcId(required): string
(uuid)
-
quantity(required): number
Minimum Value:
0Minimum Value:> true
Response
Supported Media Types
- application/json
204 Response
Successful operation
400 Response
Bad request.
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectResult Object
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Example:
{
"field":"studyId",
"reason":"Invalid value"
}500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectResult Object
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Example:
{
"field":"studyId",
"reason":"Invalid value"
}